# $Revision: 1.11 $, $Date: 2002/07/15 00:59:33 $
%include	/usr/lib/rpm/macros.perl
Summary:	Boulder perl module
Summary(pl):	Modu perla Boulder
Name:		perl-Boulder
Version:	1.27
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Boulder/Boulder-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Boulder - Read and write tag/value data from an input stream.

%description -l pl
Modu perla Boulder.

%prep
%setup -q -n Boulder-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Stone.pm
%{perl_sitelib}/Stone
%dir %{perl_sitelib}/Boulder
%{perl_sitelib}/Boulder/[^L]*
# Labbase.pm is incomplete and unusable in version 1.27
#%{perl_sitelib}/Boulder/L*
%{perl_sitelib}/Boulder.pod
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Boulder.spec,v $
Revision 1.11  2002/07/15 00:59:33  ankry
- remove Labbase.pm from %%files: it is unfinished
- release 2

Revision 1.10  2002/07/11 10:51:18  qboosh
- new %%doc and cosmetics

Revision 1.9  2002/07/11 07:57:04  depesz
- new version; should work; STBR

Revision 1.8  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 21:35:12  marcus
- rel.2.

Revision 1.6  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/26 22:17:17  misiek
- include Stone dir

Revision 1.1  2001/10/26 22:08:16  misiek
- initial pld release
